﻿using System.Runtime.InteropServices;

namespace TestProject
{
    /// <summary>
    /// RGBA YUVA 버퍼
    /// </summary>
    /// <remarks>버퍼 매개변수의 합집합</remarks>
    [StructLayoutAttribute(LayoutKind.Explicit)]
    public struct RGBA_YUVA_Buffer
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// RGBA
        /// </summary>
        [FieldOffsetAttribute(0)]
        public WEBPRGBABuffer RGBA;

        /// <summary>
        /// YUVA
        /// </summary>
        [FieldOffsetAttribute(0)]
        public WEBPYUVABuffer YUVA;

        #endregion
    }
}