﻿namespace TestProject
{
    /// <summary>
    /// WEBP 인코딩 에러
    /// </summary>
    public enum WEBPEncodingError
    {
        /// <summary>
        /// VP8_ENC_OK
        /// </summary>
        VP8_ENC_OK = 0,

        /// <summary>
        /// VP8_ENC_ERROR_OUT_OF_MEMORY
        /// </summary>
        VP8_ENC_ERROR_OUT_OF_MEMORY,

        /// <summary>
        /// VP8_ENC_ERROR_BITSTREAM_OUT_OF_MEMORY
        /// </summary>
        VP8_ENC_ERROR_BITSTREAM_OUT_OF_MEMORY,

        /// <summary>
        /// VP8_ENC_ERROR_NULL_PARAMETER
        /// </summary>
        VP8_ENC_ERROR_NULL_PARAMETER,

        /// <summary>
        /// VP8_ENC_ERROR_INVALID_CONFIGURATION
        /// </summary>
        VP8_ENC_ERROR_INVALID_CONFIGURATION,

        /// <summary>
        /// VP8_ENC_ERROR_BAD_DIMENSION
        /// </summary>
        VP8_ENC_ERROR_BAD_DIMENSION,

        /// <summary>
        /// VP8_ENC_ERROR_PARTITION0_OVERFLOW
        /// </summary>
        VP8_ENC_ERROR_PARTITION0_OVERFLOW,

        /// <summary>
        /// VP8_ENC_ERROR_PARTITION_OVERFLOW
        /// </summary>
        VP8_ENC_ERROR_PARTITION_OVERFLOW,

        /// <summary>
        /// VP8_ENC_ERROR_BAD_WRITE
        /// </summary>
        VP8_ENC_ERROR_BAD_WRITE,

        /// <summary>
        /// VP8_ENC_ERROR_FILE_TOO_BIG
        /// </summary>
        VP8_ENC_ERROR_FILE_TOO_BIG,

        /// <summary>
        /// VP8_ENC_ERROR_USER_ABORT
        /// </summary>
        VP8_ENC_ERROR_USER_ABORT,

        /// <summary>
        /// VP8_ENC_ERROR_LAST
        /// </summary>
        VP8_ENC_ERROR_LAST,
    }
}