﻿using System;
using System.Runtime.InteropServices;

namespace TestProject
{
    /// <summary>
    /// WEBP RGB 버퍼
    /// </summary>
    [StructLayoutAttribute(LayoutKind.Sequential)]
    public struct WEBPRGBABuffer
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// RGBA
        /// </summary>
        /// <remarks>RGBA 샘플에 대한 포인터</remarks>
        public IntPtr RGBA;

        /// <summary>
        /// 스트라이드
        /// </summary>
        /// <remarks>한 스캔라인에서 다음 스캔라인으로 바이트 단위로 이동</remarks>
        public int Stride;

        /// <summary>
        /// 크기
        /// </summary>
        /// <remarks>RGBA 버퍼의 총 크기</remarks>
        public UIntPtr Size;

        #endregion
    }
}